Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 1
%global npm_name npm-install-checks

Name:		nodejs-npm-install-checks
Version:	3.0.0
Release:	alt1_7
Summary:	Checks that npm runs during the installation of a module
License:	BSD
Url:		https://github.com/npm/npm-install-checks
Source:		https://registry.npmjs.org/npm-install-checks/-/npm-install-checks-%{version}.tgz
BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:	npm(tap)
BuildRequires:	npm(rimraf)
BuildRequires:	npm(mkdirp)
BuildRequires:	npm(npmlog)
Buildrequires:	npm(semver)
%endif

Requires:       npm(semver) >= 2.3.0, npm(semver) < 6
Source44: import.info

%description
A package that contains checks that npm runs during the installation. 


%prep
%setup -q -n package


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{npm_name}
%{nodejs_symlink_deps}


%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%tap test/*.js
%endif


%files
%doc README.md CHANGELOG.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{npm_name}


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.0-alt1_7
- new version

